eoCountedStateSaver(3)

NAME
eoCountedStateSaver - an eoUpdater that saves a state every given generations

SYNOPSIS

#include <eoUpdater.h>

Inherits eoUpdater.

  Public Member Functions
eoCountedStateSaver (unsigned _interval, const eoState &_state, std::string _prefix, bool _saveOnLastCall, std::string _extension='sav', unsigned _counter=0)
eoCountedStateSaver (unsigned _interval, const eoState &_state, std::string _prefix='state', std::string _extension='sav', unsigned _counter=0)
virtual void lastCall (void)
void operator() (void)
The pure virtual function that needs to be implemented by the subclass.
virtual std::string className (void) const

  Private Member Functions
void doItNow (void)

  Private Attributes
const eoState & state
const unsigned interval
unsigned counter
bool saveOnLastCall
const std::string prefix
const std::string extension

Detailed Description

an eoUpdater that saves a state every given generations

Definition at line 127 of file eoUpdater.h.

Author

Generated automatically by Doxygen for EO from the source code.